" banana.vim - Convert Base Banana (https://git.lattuga.net/itec/banana) and back
" T4 - totem4@tropici.net
" Version: 0.1

vim9script

if exists("g:loaded_Banana") || &cp
	finish
endif
g:loaded_Banana = 1
var keepcpo = &cpo
set cpo&vim

if !hasmapto('<Plug>BananaEnc')
	map <unique> <Leader>b <Plug>BananaEnc
endif

if !hasmapto('<Plug>BananaDec')
	map <unique> <Leader>d <Plug>BananaDec
endif

import autoload 'banana.vim'

noremap <silent> <unique> <script> <Plug>BananaEnc
			\ :call <SID>banana.Enc()<CR>
noremap <silent> <unique> <script> <Plug>BananaDec
			\ :call <SID>banana.Dec()<CR>

&cpo = keepcpo

